Subject: bug#10901: 24.0.94; Incorrect display of "EMPTY SET" unicode glyph.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Feb 2012 19:30:29 +0200

> From: Felix Geller <[email-masked]>
> Date: Wed, 29 Feb 2012 10:26:09 +0100
> Cc: [email-masked]
> 
> >> M-x ucs-insert empty set RET
> >>
> >> The displayed character is not an empty set symbol, but a square
> >> symbol.
> >
> > What does Emacs say if you go to the square symbol and type "C-u C-x ="?
> 
> (copied from *Help* buffer)
> 
>              position: 192 of 192 (99%), column: 0
>             character: ∅ (displayed as ∅) (codepoint 8709, #o21005, #x2205)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x2205
>                syntax: . 	which means: punctuation
>              category: .:Base, j:Japanese
>           buffer code: #xE2 #x88 #x85
>             file code: #xE2 #x88 #x85 (encoded by coding system utf-8-unix)
>               display: by this font (glyph code)
>     nil:-apple-AppleMyungjo-medium-normal-normal-*-12-*-*-*-p-0-iso10646-1
> (#x00)
> 
> Character code properties: customize what to show
>   name: EMPTY SET
>   general-category: Sm (Symbol, Math)
>   decomposition: (8709) ('∅')

So it inserts the correct character, but your font cannot display that
character.

> > I get the empty symbol in the 24.0.94 pretest, so it's something
> > specific to your system.  Maybe a font setup issue or something.
> 
> Looks like the font name (AppleMyungjo) is off?

Yes.

> Hope can I (help to) investigate further?

Sorry, I don't know.  Someone who knows more about fonts should chime
in.

In any case, I think this bug should be closed and the discussion
moved to help-gnu-emacs or emacs-devel.